ModSecurity requires mod_unique_id to be installed.

ModSecurityを入れた環境で、表題のエラーが出ていた。

■ 環境

  • ModSecurity 2.9.2
  • Apache httpd 2.4.27
  • Amazon Linux

■ error_log

下記のようなメッセージが表示されている。

[Mon Aug 08 19:17:11.386399 2017] [:error] [pid 4449] ModSecurity: ModSecurity requires mod_unique_id to be installed.

mod_unique_id“がインストールされていないようだ。

ファイルの存在確認。

$ ls -l /etc/httpd/modules/mod_unique_id.so
-rwxr-xr-x 1 root root 10224 Aug  3 03:03 /etc/httpd/modules/mod_unique_id.so
$

インストールはされている様子。設定ファイルを確認する。

下記ファイルに記載されていた。

/etc/httpd/conf.modules.d/00-base.conf

ただしコメントアウトされていた。

# LoadModule unique_id_module modules/mod_unique_id.so

今回は特に問題がない気がするので、この行をコメントインして終了とする。

`httpd`を再起動して前述のエラーメッセージは出力されなくなった。

以上。

コメントを残す

メールアドレスが公開されることはありません。

CAPTCHA